.part-langswitch > div {   
    z-index:999999;
}

.part-langswitch .component-body {
    position:relative;
}

.part-langswitch a:hover{
    text-decoration: none;
}

.part-langswitch a.active {
    opacity:0;
    background-color: rgba(80,80,80,0.9);
}

body.blog div header div div div .part-langswitch div a{
    color: #cccccc !important;
    background: url('../gfx/ures-gray.svg') no-repeat scroll center / 100% auto;
}
body.blog div header div div div .part-langswitch div a.active{
    background-color: rgba(80,80,80,0.9);
}
body.blog div header div div div .part-langswitch div a:hover{
    background-color: rgba(255, 255, 255, 0.4);
}
body.blog div header div div div .part-langswitch{
    display: none; /* hashtag blog style hidden */
}

.part-langswitch a {
    background: url('../gfx/ures.svg') no-repeat scroll center / 100% auto;
    width: 40px;
    height: 40px;
    margin: 0; 
    padding: 7px 0 0 0;
    border-radius: 50%;
    cursor: pointer;
    transition: all 0.5s;
    font-size: 18px;
    text-align: center;
    display: block;
    border: 0 none;
    background-color: transparent;
    text-transform: lowercase;
    border: 1px transparent;
    text-decoration: none;
    color: white !important;
    position: relative;
    z-index: 999;
}

.part-langswitch a:hover {
    opacity:1;
    background-color: rgba(255, 255, 255, 0.4);
}

.part-langswitch .component-body:hover a {
    opacity:1;
}

html[lang=en] .part-langswitch .component-body a.hu_HU {
    position:absolute;
    top:0;
    left:0;
}

html[lang=en] .part-langswitch .component-body a.en_GB {
    position:absolute;
    top:40px;
    left:0;
}

/*--- Media Queries ---*/

@media (min-width: 992px) and (max-width: 1199px) {

    .part-langswitch a {
        width: 50px;
        height: 50px;
        font-size: 24px;      
        text-decoration: none;
    }

    html[lang=en] .part-langswitch .component-body a.en_GB {
        top:50px;
    }
}